Subject: Re: [Req #19733] Fwd: Setup package list duplication and crash
From: Christian Reiniger <[email-masked]>
To: [email-masked]
Cc: "Aaron Humphrey" <[email-masked]>, [email-masked]
Date: Thu, 15 Feb 2007 09:33:45 +0100
List-Id: <cygwin.cygwin.com>

We mirror via rsync from sources.redhat.com::cygwin-ftp , and our system 
tells me that there haven't been any problems syncing. I'm not familiar 
with the structure of the cygwin repository, but a quick visual compare 
between  http://mirror.mcs.anl.gov/ and  http://mirrors.dotsrc.org shows 
no differences. So I'm kind of at a loss as to where to look for the 
problem.

On Wednesday 14 February 2007 18:11, Aaron Humphrey wrote:
> ---------- Forwarded message ----------
> From: Aaron Humphrey <[email-masked]>
> Date: Feb 14, 2007 10:09 AM
> Subject: Setup package list duplication and crash
> To: [email-masked]
>
>
> For a while I've been downloading from http://mirrors.dotsrc.org.  I
> switched a few days ago when it started acting strangely.  Several
> packages were displayed as Not Installed--bashdb3, gcc-gm2, libglade,
> libltdl6, and libploticus.  When I clicked on "Skip" to try to install
> one of them, Setup crashed.  So I switched back to
> http://mirror.mcs.anl.gov/, which didn't display that problem.
>
> anl.gov hasn't had any updates in a few days, so I thought I'd check
> back to dotsrc.org.  I saw the exact same behaviour.  However, now, if
> I go to dotsrc.org, to the package chooser, back to the mirrors list,
> select another mirror (it doesn't seem to matter which one), and back
> to the package chooser, there are multiple copies of each of the Not
> Installed packages listed above.    Going back and forth, another copy
> is added each time I return to the package chooser.
>
> This only seems to happen if I go to dotsrc.org first.  On the other
> mirrors I tried (which is only calvin.edu as well as the anl.gov), I
> only see two Not Installed packages; those always show up and are
> never duplicated.
>
> I'm willing to believe that dotsrc.org has some sort of problem, but
> setup presumably shouldn't be duplicated packages like that.
> Actually, I just tried it again, and it didn't happen the first time I
> went into the package chooser from dotsrc.org, but if I switched to
> "Not Installed" view, back to mirrors, then back to the package
> chooser, the spurious packages showed up.
>
> I am using Setup version 2.510.2.2.  I'm not enclosing cygcheck output
> because I'm not sure it would be relevant.  The setup.ini file in the
> dotsrc.org folder is no different from that in the calvin.edu folder.
> setup.log.full and setup.log don't seem to have been modified by the
> time the crash occurs, so no information there.
>
> Any other information I can provide?
>
>
> --
>  --Alfvaen (Web page: http://www.telusplanet.net/public/alfvaen/ )
>  Current Album--Rush:Counterparts
>  Current Book--Glen Cook:Ceremony
>  Casting bread upon swine

-- 

Christian Reiniger
http://dotsrc.org/ (formerly http://sunsite.dk/)